Package twisted :: Package web :: Module resource :: Class IResource

[frames | no frames]

## Class IResource

    Interface --+
                |
               IResource

A web resource.

Method Summary
| ``getChildWithDefault`(self, name, request)` Return a child with the given name for the given request.
| ``putChild`(self, path, child)` Put a child IResource implementor at the given path.
| ``render`(self, request)` Render a request.

Class Variable Summary
`int` | `isLeaf` = 0

Method Details

### getChildWithDefault(self, name, request)

Return a child with the given name for the given request. This is the external interface used by the Resource publishing machinery. If implementing IResource without subclassing Resource, it must be provided. However, if subclassing Resource, getChild overridden instead.

### putChild(self, path, child)

Put a child IResource implementor at the given path.

### render(self, request)

Render a request. This is called on the leaf resource for a request. Render must return either a string, which will be sent to the browser as the HTML for the request, or server.NOT_DONE_YET. If NOT_DONE_YET is returned, at some point later (in a Deferred callback, usually) call request.write("<html>") to write data to the request, and request.finish() to send the data to the browser.

Class Variable Details

### isLeaf

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:46 2004 | http://epydoc.sf.net